PICPACK(1)

NAME
picpack - PostScript picture packing preprocessor

SYNOPSIS
picpack [-k list] [-q] [file] ...

DESCRIPTION
picpack copies files to stdout, expanding picture inclusion requests (marked by the .BP or .PI macros) into an in-line format that can be passed through troff and handled by dpost. If no files are specified or if - is one of the input files standard input is read. The following options are understood:

-k list
    list is a comma- or space-separated string of words used to locate picture inclusion requests. The start of every line in the input files is compared with each word in list. If there is a match, the second string on the line is taken as the pathname of a picture file that is added to the output file. The default list is “.Bp .PI”.

-q  Suppress ``missing picture file'' error messages.

picpack is a trivial preprocessor that, in a sense, duplicates some of the picture inclusion capabilities already available in dpost. picpack should not be used if your formatting command line includes a call to dpost. Its only purpose is to combine picture files with text in a single file that can be passed through troff and unpacked, at some later time, by dpost. The original picture inclusion mechanism, with files are pulled in by dpost, is the preferred approach.

EXAMPLES
A typical application might be in a distributed printing environment where everything up to troff is run by the user and everything after troff is handled by a spooling daemon <perhaps lp>. In that case the command line would be,

        pic file | tbl | eqn | picpack | troff -mm -Tpost | lp

A poor example, although one that should still work, would be,

        pic file | tbl | eqn | picpack | troff -mm | dpost >file.ps

In this case picture inclusion requests could (and should) be handled by dpost. Running picpack is not needed or even recommended. It should be dropped from any pipeline that includes a call to dpost.

DIAGNOSTICS
A 0 exit status is returned if files were successfully processed.

WARNINGS
Combining pictures and text using the capabilities available in dpost is the recommended approach and is always guaranteed to be more efficient than picpack. RunNmning picpack and dpost in the same pipeline makes little sense.

Using picpack will likely result in files that can no longer be reliably passed through other important troff postprocessors like proof. At present picpack is only guaranteed to work with dpost.

SEE ALSO
dpost(1), troff(1)